×

INDI Library v1.9.8 Released (29 Sep 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Unlinked Stellarsolver libraries while building KStars

  • Posts: 1279
  • Thank you received: 222
Upon rebuilding Stellarsolver, Kstars compile error locating that library.
Make Error at /usr/local/lib/cmake/StellarSolver/StellarSolverConfig.cmake:79 (message):
  The imported target "StellarSolver::stellarsolver" references the file
 
     "/usr/local/lib/libstellarsolver.so.2.2"
 
  but this file does not exist.  Possible reasons include:
 
  * The file was deleted, renamed, or moved to another location.
 
  * An install or uninstall procedure did not complete successfully.
 
  * The installation package was faulty and contained
 
     "/usr/local/lib/cmake/StellarSolver/StellarSolverConfig.cmake"
And as matter of fact a file new version of the file appeared in /usr/lib/aarch64-linux-gnu
libstellarsolver.so.2.4
Note it is now 2.4, not 2.2
INDI/KStars on Raspberry Pi 4, 4gb
Raspbian Buster with AstroPi3 script configuration
Skywatcher HEQ5 Pro Mount
Canon 600D Camera
Orion SSAG/ASI120mm @280mm Guide Scope
PHD2
Waveshare Stepper Motor Board - DIY Focuser
Adafruit GPS Module
Generic Bluetooth Joystick.
Startech 7 port powered USB Hub.
2 months 5 days ago #86568

Please Log in or Create an account to join the conversation.

  • Posts: 415
  • Thank you received: 99
Sounds like more cleaning up is needed. Since astropi3 puts everything into /usr/bin and /usr/lib, I'm not sure how you got stuff put into /usr/local. That will happen if you build manually instead of using the script.

On my system, the only thing in /usr/local/lib and /usr/local/bin are kstars-related stuff, because I choose to install there instead of /usr/bin and /usr/lib. On your system, I would expect those folders to be practically empty. You might want to try removing everything out of those folders and build again.
2 months 5 days ago #86569

Please Log in or Create an account to join the conversation.

  • Posts: 1279
  • Thank you received: 222
The file CMake Error at /usr/local/lib/cmake/StellarSolver/StellarSolverConfig.cmake was also a couple days old. I've now cleaned it too.

Edit:
Making progress, Stand by.
INDI/KStars on Raspberry Pi 4, 4gb
Raspbian Buster with AstroPi3 script configuration
Skywatcher HEQ5 Pro Mount
Canon 600D Camera
Orion SSAG/ASI120mm @280mm Guide Scope
PHD2
Waveshare Stepper Motor Board - DIY Focuser
Adafruit GPS Module
Generic Bluetooth Joystick.
Startech 7 port powered USB Hub.
Last edit: 2 months 5 days ago by Andrew.
2 months 5 days ago #86570

Please Log in or Create an account to join the conversation.

  • Posts: 1279
  • Thank you received: 222
Great news. After going in and cleaning some of those things up in the build directory and elsewhere. I have successfully compiled everything. With the exception of GSC.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~ Building and Installing GSC
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
GSC is already installed
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package libwxgtk3.0-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
 
E: Package 'libwxgtk3.0-dev' has no installation candidate
I found that version was replaced with libwxgtk3.0-gtk3-dev hand installed it, but the compiler isn't using it.
apt-get -y install libwxgtk3.0-gtk3-dev libgl1-mesa-dev libglu1-mesa-dev libpng-dev
INDI/KStars on Raspberry Pi 4, 4gb
Raspbian Buster with AstroPi3 script configuration
Skywatcher HEQ5 Pro Mount
Canon 600D Camera
Orion SSAG/ASI120mm @280mm Guide Scope
PHD2
Waveshare Stepper Motor Board - DIY Focuser
Adafruit GPS Module
Generic Bluetooth Joystick.
Startech 7 port powered USB Hub.
2 months 4 days ago #86583

Please Log in or Create an account to join the conversation.

  • Posts: 415
  • Thank you received: 99
Hmm I've never tried to build GSC. KStars should run without it.
2 months 4 days ago #86587

Please Log in or Create an account to join the conversation.

  • Posts: 1279
  • Thank you received: 222
Kstars did complete. It's running now.
GSC is just for simulator camera. Good for troubleshooting, but not critical.
INDI/KStars on Raspberry Pi 4, 4gb
Raspbian Buster with AstroPi3 script configuration
Skywatcher HEQ5 Pro Mount
Canon 600D Camera
Orion SSAG/ASI120mm @280mm Guide Scope
PHD2
Waveshare Stepper Motor Board - DIY Focuser
Adafruit GPS Module
Generic Bluetooth Joystick.
Startech 7 port powered USB Hub.
2 months 4 days ago #86588

Please Log in or Create an account to join the conversation.

  • Posts: 415
  • Thank you received: 99
Well that was easy! :P

Now you know how to build KStars (and family) when you upgrade to a faster single board computer, like an ODroid N2+, for example. B)
2 months 4 days ago #86590

Please Log in or Create an account to join the conversation.

  • Posts: 199
  • Thank you received: 45
Yes GCS can be skipped. You need it only to get stars when using simulators. Otherwise it is no needed.
2 months 4 days ago #86591

Please Log in or Create an account to join the conversation.

  • Posts: 1279
  • Thank you received: 222
Yes. But I still want it.
INDI/KStars on Raspberry Pi 4, 4gb
Raspbian Buster with AstroPi3 script configuration
Skywatcher HEQ5 Pro Mount
Canon 600D Camera
Orion SSAG/ASI120mm @280mm Guide Scope
PHD2
Waveshare Stepper Motor Board - DIY Focuser
Adafruit GPS Module
Generic Bluetooth Joystick.
Startech 7 port powered USB Hub.
2 months 4 days ago #86592

Please Log in or Create an account to join the conversation.

  • Posts: 415
  • Thank you received: 99
I had a little time to look into this. It isn't trying to build GSC. That's already complete. It's trying to build the next thing in the list, which is PHD2. And it tries to install libwxgtk3.0-dev in preparation for building PHD2.

Modify the apt-get around line 896 in the script, and change it to the new updated package name, and try that.
2 months 4 days ago #86594

Please Log in or Create an account to join the conversation.

  • Posts: 1279
  • Thank you received: 222
I understand why it might look like that to you as I only shared a small excerpt from the terminal as it was running the script. But I can assure you it is indicative of GSC not being compiled. I believe it says GSC is already installed due to it having been present before the upgrade to Bullseye, and the fact that the images produced by the simulator are currently corrupted.
And I also see no new build directory for GSC. Furthermore I saw PHD2 compile properly, and it runs fine.
Maybe there are also some other things I need to clean up first.
INDI/KStars on Raspberry Pi 4, 4gb
Raspbian Buster with AstroPi3 script configuration
Skywatcher HEQ5 Pro Mount
Canon 600D Camera
Orion SSAG/ASI120mm @280mm Guide Scope
PHD2
Waveshare Stepper Motor Board - DIY Focuser
Adafruit GPS Module
Generic Bluetooth Joystick.
Startech 7 port powered USB Hub.
2 months 4 days ago #86597

Please Log in or Create an account to join the conversation.

  • Posts: 415
  • Thank you received: 99
In a way we are both right. The script is skipping the build of GSC because it thinks it's already installed. Delete the /usr/share/GSC folder to force it to rebuild GSC.

GSC does not depend on the wxgtk library. That is strictly for PHD2. The fact that you manually installed the necessary library is probably why PHD2 built fine, even though the script complains about missing the wxgtk library. I'd still update the script as I mentioned.
2 months 4 days ago #86598

Please Log in or Create an account to join the conversation.

Time to create page: 0.578 seconds